Subject: Re: brcm80211 breakage..

From: "Arend van Spriel" <[email-masked]>
Date: Thu, 12 Jan 2012 21:36:33 +0100

On 01/12/2012 09:27 PM, Linus Torvalds wrote:
> 2012/1/12 Arend van Spriel <[email-masked]>:
>>
>> That output look fine. The patch looks fine although you can use the new
>> do_crc_check() function in otp_read_pci as well.
> 
> I'll leave that as a separate cleanup for somebody who has the
> hardware to test it. I committed the 16-bit read fix for now.

Ah. yet another hint :-p

> But I'm currently also trying to work out why that macbook air no
> longer comes back from a suspend alive, and it looks like it may be
> another problem with that brcmsmac driver. The bisection is in its
> early stages yet, but it looks like it is coming in from the network
> merge, and nothing else looks relevant.
> 
> Has suspend/resume been tested exhaustively with that driver?
> 
>                      Linus
> 

BCMA introduced suspend/resume after the BCMA changes in brcmsmac so
there may still be issues.

Gr. AvS